using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Babebi4
{
	public partial class MainForm : Form
	{
		private void filter__LetterOrSymbol_Language()
		{
			this.bindingSource__LetterOrSymbol_Language.Filter = this.filteringExpression__Language;
		}

		private void bindingSource__LetterOrSymbol_Language_CurrentChanged(object sender, EventArgs e)
		{
			if (this.DoNotTriggerCurrentChangedEvent)
			{
				return;
			}

			this.Current__LetterOrSymbol_Language 
				= (BabebiDataSet.LetterOrSymbol_LanguageRow)
				(((DataRowView)(this.bindingSource__LetterOrSymbol_Language.Current)).Row);
		}

		private void button_Letter_Modify_Click(object sender, EventArgs e)
		{
			Form__LetterOrSymbol_Language__Modify form__letter_language = new Form__LetterOrSymbol_Language__Modify(this);

			form__letter_language.ShowDialog(this);
		}
	}
}
